'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var seed = 0;
var now = Date.now();

function getUuid() {
  return 'rcNotification_' + now + '_' + seed++;
}

var Progress = _react2["default"].createClass({
  displayName: 'Progress',

  propTypes: {
    prefixCls: _react.PropTypes.string,
    transitionName: _react.PropTypes.string,
    animation: _react.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.object]),
    percent: _react.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.number]),
    width: _react.PropTypes.number,
    style: _react.PropTypes.object
  },

  getDefaultProps: function getDefaultProps() {
    return {
      prefixCls: 'rc-notification',
      animation: 'fade',
      percent: 0,
      width: 1200,
      style: {
        top: 65,
        left: '50%'
      }
    };
  },
  getInitialState: function getInitialState() {
    return {
      notices: []
    };
  },
  render: function render() {
    var _props = this.props,
        percent = _props.percent,
        width = _props.width;

    var percentNum = 0;
    var percentStr = percent;
    if (percent instanceof Number || typeof percent === 'number') {
      percentStr = percent + '%';
      percentNum = percent / 100;
    } else {
      var percentArr = percent.split("/");
      if (percentArr.length > 1) {
        if (Number(percentArr[1]) <= 0) {
          percentNum = 0;
        } else {
          percentNum = Number(percentArr[0]) / Number(percentArr[1]);
        }
      }
    }
    var marginLeft = 0;
    var isFull = width * percentNum > width - 48;
    if (isFull) {
      marginLeft = width - 49;
    } else {
      marginLeft = width * percentNum;
    }
    return _react2["default"].createElement(
      'div',
      { className: 'kcxq_00_02', style: { width: width } },
      _react2["default"].createElement(
        'div',
        { className: percentNum == 1 ? "kcxq_00_03_full" : "kcxq_00_03", style: { marginLeft: marginLeft } },
        percentStr
      ),
      _react2["default"].createElement(
        'div',
        { className: 'kcxq_00_04' },
        _react2["default"].createElement('div', { className: percentNum == 1 ? "kcxq_00_05_full" : "kcxq_00_05", style: { width: marginLeft + 1 } })
      )
    );
  }
});

exports["default"] = Progress;
module.exports = exports['default'];